"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/project/build/temp.linux-x86_64-cpython-39/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x7f526c3dd430>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x7f526c3dd4c0>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x7f526c3dd550>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x7f526c3dd5e0>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x7f526c3dd670>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x7f526c3dd700>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x7f526c3dd790>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7f526c3dd820>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7f526c3dd8b0>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7f526c3dd940>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x7f526c3dd9d0>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x7f526c3dda60>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x7f526c3ddaf0>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x7f526c3ddb80>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x7f526c3ddc10>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x7f526c3ddca0>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x7f526c3ddd30>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x7f526c3dddc0>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x7f526c3dde50>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x7f526c3ddee0>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x7f526c3ddf70>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x7f526c3e3040>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x7f526c3e30d0>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x7f526c3e3160>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x7f526c3e3280>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x7f526c3e31f0>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x7f526c3e3310>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x7f526c3e33a0>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x7f526c3e3430>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x7f526c3e34c0>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x7f526c3e3550>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x7f526c3e35e0>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x7f526c3e3670>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x7f526c3e3700>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x7f526c3e3790>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x7f526c3e3820>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x7f526c3e38b0>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x7f526c3e3940>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7f526c3e39d0>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7f526c3e3a60>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7f526c3e3af0>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x7f526c3e3b80>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x7f526c3e3c10>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x7f526c3e3ca0>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x7f526c3e3d30>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x7f526c3e3dc0>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x7f526c3e3e50>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x7f526c3e3ee0>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x7f526c3e3f70>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x7f526c3e6040>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x7f526c3e60d0>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x7f526c3e6160>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x7f526c3e61f0>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x7f526c3e6280>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x7f526c3e6310>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x7f526c3e63a0>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x7f526c3e6430>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x7f526c3e64c0>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x7f526c3e6550>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x7f526c3e65e0>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x7f526c3e6670>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x7f526c3e6700>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x7f526c3e6790>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x7f526c3e6820>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x7f526c3e68b0>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x7f526c3e6a60>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x7f526c3e6940>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x7f526c3e6af0>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x7f526c3e6b80>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x7f526c3e6c10>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x7f526c3e6ca0>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x7f526c3e6d30>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x7f526c3e6e50>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x7f526c3e6dc0>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x7f526c3e6ee0>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x7f526c3e6f70>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x7f526c3ea040>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x7f526c3ea160>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x7f526c3ea0d0>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x7f526c3ea1f0>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x7f526c3ea280>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x7f526c3ea310>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x7f526c3ea3a0>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x7f526c3ea430>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x7f526c3ea4c0>)]
name: str = 'fr_HOCCN'
